.manageTrackTop {
  display: flex;
  flex-direction: row;
  justify-content: space-between;

}
.manageTrackInfo {
  width: 60%;
  min-height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: var(--font-size-text);
}

.manageTrackShortDescription{
  margin-top: 10px;
}
.manageTrackShortDescription_span {
  font-size: var(--font-size-legend);
  color: var(--color-gray);
  float: right;
}

.manageTrackOptionContainer {
  text-align: left;
  margin: 5px 0 15px 0;
  font-size: var(--font-size-text);
  font-weight: 500;
}

.manageTrackOption {
  display: flex;
  flex-direction: row;
  padding-top: 5px;
  margin-left: 0;
  font-weight: normal;
}

.manageTrackOptionItem {
  margin-right: 50px;
}

.manageTrackBadge {
  display: flex;
  flex-direction: column;
  min-width: 200px;
}

.manageTrackBadgeSpace{
  width: 200px;
  height: 200px;
  border: 1px solid var(--color-primary);
}

.manageTrackBottomTitle{
  border-bottom: solid 1px var(--color-primary);
  min-height: 50px;
  margin: 0 -3%;
  padding: 0 3%;
  display: flex;
  flex-direction: column;
  text-align: left;
  justify-content: flex-end;
  font-size: var(--font-size-h3);
  font-weight: 500;
  color: var(--color-primary);
}

.manageTrackBottom {
  display: flex;
  flex-direction: column;
  margin-top: 24px;
  display: flex;
  flex-direction: row;
  font-size: var(--font-size-text);
}

.manageTrackMidiaUploadArea{
  margin: 20px 0;
}

.manageTrackBottomLeft{
  min-width: 60%;
}

.manageTrackBottomRight{
  width: stretch;
  display: flex;
  justify-content: flex-end;
}

.manageTrackBottomRight .button-container {
  align-self: flex-start;
}

.manageTrackThumb  {
  height: 315px;
  width: 560px;
  margin-bottom: 30px;
}

.manageTrackThumb .manageTrackPreviewImage {
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.manageTrackMargin {
  margin-left: 20px;
}

.dropzoneCourseImage{
  height: 150px;
  border: 2px dashed var(--color-primary);
  background-size: contain;
}

.dropzoneCourseBadge {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-size: cover;
}

.manageTrackBottom .draggableCourseCard {
  position: relative;
  display: flex;
  flex-direction: row;
  height: 124px;
  padding-bottom: 20px;
  cursor: move;
  z-index: 0;
}

.manageTrackBottom .draggableCourseCard.readOnly {
  cursor: auto;
}

.manageTrackBottom .draggableCourseCard.react-draggable-dragging {
  z-index: 1;
}

.manageTrackBottom .draggableCourseCard .courseCardPosition {
  padding: 4px;
  font-size: var(--font-size-h3);
}

.manageTrackBottom .draggableCourseCard .courseCardContentContainer {
  display: flex;
  flex: 1;
  flex-direction: row;
  background-color: var(--color-white);
  border-left: 6px solid var(--color-primary);
  box-shadow: 2px 2px 6px var(--color-black-light);
  padding: 15px;
  box-sizing: border-box;
}


.manageTrackBottom .draggableCourseCard .courseCardContentContainer .courseCardTitle {
  width: 472px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.manageTrackBottom .draggableCourseCard .courseCardContentContainer.disabled {
  border-left-color: var(--color-black-light);
  opacity: 0.35;
}
.manageTrackBottom .draggableCourseCard .courseCardContentContainer.disabled .courseCardStatus {
  color: var(--color-black);
}

.manageTrackBottom .draggableCourseCard .courseCardContentContainer.error {
  border-left-color: var(--color-error);
  color: var(--color-error);
}
.manageTrackBottom .draggableCourseCard .courseCardContentContainer.error .courseCardTitle {
  color: var(--color-error);
}
.manageTrackBottom .draggableCourseCard .courseCardContentContainer.error .courseCardStatus {
  color: var(--color-error);
  opacity: 0.5;
}

.manageTrackBottom .draggableCourseCard .courseCardDelete {
  position: absolute;
  top: 4px;
  right: 4px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background-color: var(--color-error);
  color: var(--color-white);
  cursor: pointer;
  pointer-events: all;
}

.contentContainer.alert.manageTrackCoursesModal {
  max-width: 70%;
}

.contentContainer.alert.manageTrackCoursesModal table {
  border-collapse: collapse;
  margin: 24px 0 0 0;
  padding: 0;
  width: 100%;
  table-layout: auto;
}

.contentContainer.alert.manageTrackCoursesModal table thead {
  background-color: var(--color-primary);
  color: var(--color-white);
  text-align: left;
}

.contentContainer.alert.manageTrackCoursesModal table th,
.contentContainer.alert.manageTrackCoursesModal table td {
  padding: 8px;
}

.color {
  background-color: var(--color-primary-opacity);
}

.white {
  background-color: var(--color-white);
}

.contentContainer.alert.manageTrackCoursesModal table th:first-of-type{
  width: 3%;
}

.contentContainer.alert.manageTrackCoursesModal table th:last-of-type{
  width: 20%;
}
.contentContainer.alert.manageTrackCoursesModal table tr:last-of-type{
  border-bottom: 1px solid var(--color-primary-opacity);
}

.contentContainer.alert.manageTrackCoursesModal table tr.empty td {
  vertical-align: middle;
  text-align: center;
  padding: 24px;
  color: var(--color-black-light);
}
